Page MenuHomeFreeBSD

Update devel/libhtp to 0.5.27
ClosedPublic

Authored by garga on Jul 20 2018, 2:52 PM.

Details

Summary
Update devel/libhtp to 0.5.27

Security: CVE-2018-10243
Approved by: koobs (maintainer)
Approved by: delphij (ports-secteam, mfh)
MFH: 2018Q3
Obtained from: pfSense
Differential_Revision: https://reviews.freebsd.org/D16365
Sponsored by: Rubicon Communications, LLC (Netgate)
Test Plan
  • testport: (poudriere: 10-i386, 10-amd64, 11-i386, 11-amd64, 12-amd64, 12-armv6, 12-aarch64)
  • maketest: 10-amd64, 11-i386, 11-amd64, 12-amd64, 12-armv6, 12-aarch64

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

garga created this revision.Jul 20 2018, 2:52 PM
linimon retitled this revision from Update libhtp to 0.5.27 to Update devel/libhtp to 0.5.27.Jul 20 2018, 3:44 PM
garga edited the summary of this revision. (Show Details)Jul 23 2018, 2:15 PM
koobs edited the summary of this revision. (Show Details)Jul 24 2018, 2:33 AM
koobs edited the test plan for this revision. (Show Details)

Thanks @garga

Does this pass QA ?(testport for all supported freebsd versions/archs, make test)

The port has a test target

delphij accepted this revision.Jul 24 2018, 4:45 AM
This revision is now accepted and ready to land.Jul 24 2018, 4:45 AM
koobs requested changes to this revision.Jul 24 2018, 4:48 AM
This revision now requires changes to proceed.Jul 24 2018, 4:48 AM
koobs added a comment.Jul 24 2018, 4:49 AM

@delphij Is that acceptance for approval to MFH ?

@delphij Is that acceptance for approval to MFH ?

Sorry, yes it is for MFH. Consider it pre-approved as long as maintainer (@koobs) accepts.

koobs added a comment.Jul 24 2018, 9:39 AM

@delphij Is that acceptance for approval to MFH ?

Sorry, yes it is for MFH. Consider it pre-approved as long as maintainer (@koobs) accepts.

Danke

koobs edited the summary of this revision. (Show Details)Jul 24 2018, 9:39 AM
garga edited the summary of this revision. (Show Details)Jul 24 2018, 12:30 PM
garga edited the test plan for this revision. (Show Details)

Working on make test for all archs/versions right now

garga edited the test plan for this revision. (Show Details)Jul 24 2018, 2:08 PM

@koobs done. make test passed on all versions/archs listed above

koobs accepted this revision.Jul 31 2018, 4:13 AM

Thanks @garga

This revision is now accepted and ready to land.Jul 31 2018, 4:13 AM
koobs edited the summary of this revision. (Show Details)Jul 31 2018, 4:13 AM
This revision was automatically updated to reflect the committed changes.